package com.fp.armas.portal.webservices.snap.ruc;

import com.fp.armas.portal.util.PortalLogger;

import ec.gov.sri.wsconsultacontribuyente.ContribuyenteCompleto;

/**
 * Clase que maneja el servicio del SRI en la SNAP
 * @author dcruz
 *
 */
public class ClienteRUC implements PortalLogger{

	/**
	 * Obtiene los datos del contribuyente seg&uacute;n el RUC enviado
	 * @param ruc
	 * @return
	 */
	public static ContribuyenteCompleto obtenerRUC(String ruc) {
		ContribuyenteCompleto contribuyenteResult = null;
		try {
			RucServicioService rucServicioService = new RucServicioService();
			contribuyenteResult = rucServicioService.getRucServicioPort().consultarRuc(ruc);
		} catch (Throwable e) {
			log.error(e.getMessage(), e);
		}
		return contribuyenteResult;
	}
	
}
